Subject: Re: [PATCH] patch-id: Add support for mbox format

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 Apr 2010 14:23:01 -0700

Paolo Bonzini <[email-masked]> writes:

> On 04/16/2010 08:30 PM, Junio C Hamano wrote:
>>> >  I have an alias that takes two arguments and compares their patch IDs.
>>> >  I would like to use to make sure I've tested exactly what I submit
>>> >  (patch by patch), like
>>> >
>>> >      git patch-cmp origin/master.. file-being-sent
>>> > ...
>>
>> I somehow have a feeling that this is solving a wrong problem.
>
> In what sense?

Why does file-being-sent have anything from origin/master to begin with?
Perhaps the --ignore-if-in-upstream mechanism needs to be updated so that
you won't have duplicates that patch-id could easily find in the first
place?